image: ruby:2.6
pages:
  stage: deploy
  script:
    - mkdir .public
    - ruby -rjson -e "puts JSON.pretty_generate(Dir['**/*.png', '**/*.PNG'].select { |i| false==i.start_with?('maps/bg') }.uniq)" > .public/index.json        
    - echo "[" > .public/logs.json
    - >
        git --no-pager log --pretty=format:'{%n  "subject": "%s",%n "date": "%aD"%n},' >> .public/logs.json
    - truncate -s-1 .public/logs.json
    - echo "]" >> .public/logs.json
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master
